package gov.va.med.esr.voa.common;

import java.util.Set;

import javax.xml.namespace.QName;
import javax.xml.ws.handler.MessageContext;
import javax.xml.ws.handler.soap.SOAPHandler;
import javax.xml.ws.handler.soap.SOAPMessageContext;

/**
 * VOA logic handler.
 * 
 * It will log data when VOA request coming in. The request data in XML format
 * will be saved in database.
 * 
 */
public class LoggingHandler implements SOAPHandler<SOAPMessageContext> {

	@Override
	public void close(MessageContext arg0) {
		// do nothing.
	}

	@Override
	public boolean handleFault(SOAPMessageContext smc) {
		return true;
	}

	@Override
	public boolean handleMessage(SOAPMessageContext smc) {
		// TODO: add log here.
		return true;
	}

	@Override
	public Set<QName> getHeaders() {
		return null;
	}

}
